curl -X POST "https://core.wadial.com/api/v1/sessions/{sessionId}/auth/pairing-code" \
-H "Authorization: Bearer $WADIAL_API_KEY" \
-H "Content-Type: application/json" \
-d '{"phoneNumber":"15551234567"}'
{
"data": {
"code": "ABCD-1234"
}
}
API Reference
Create pairing code
Request a WhatsApp pairing code for an unpaired token.
POST
/
api
/
v1
/
sessions
/
{sessionId}
/
auth
/
pairing-code
curl -X POST "https://core.wadial.com/api/v1/sessions/{sessionId}/auth/pairing-code" \
-H "Authorization: Bearer $WADIAL_API_KEY" \
-H "Content-Type: application/json" \
-d '{"phoneNumber":"15551234567"}'
{
"data": {
"code": "ABCD-1234"
}
}
Pairing code is only for tokens that are not already paired.
string
required
Token id returned by
POST /api/v1/sessions.string
required
Phone number to pair, digits only, including country code.
curl -X POST "https://core.wadial.com/api/v1/sessions/{sessionId}/auth/pairing-code" \
-H "Authorization: Bearer $WADIAL_API_KEY" \
-H "Content-Type: application/json" \
-d '{"phoneNumber":"15551234567"}'
{
"data": {
"code": "ABCD-1234"
}
}
Was this page helpful?